import React, { useState } from 'react';

function Player(props) {
    const [editMode, setEditMode] = useState(false);
    const [playerName, setPlayerName] = useState(props.player.name);
    const handleChange = ({ target }) => {
        setPlayerName(target.value);
    }
    const saveChanges = ({ target }) => {
        props.updatePlayer(props.player.name, playerName);
        setEditMode(false);
    }
    const deletePlayer = () => {
        props.deletePlayer(playerName);
    }
    return <>
        {!editMode && <li>{playerName}</li>}
        {editMode && <><input value={playerName} onChange={handleChange} /><br /></>}
        {!editMode && <div><button onClick={() => { setEditMode(true) }}>Edit</button><button onClick={deletePlayer}>X</button></div>}
        {editMode && <button onClick={saveChanges}>Save</button>}
    </>;
}

export default Player;