import React, { useState } from 'react';
import Player from './Player';

function PlayerList(props) {
    const [newPlayer, setNewPlayer] = useState("");
    const handleChange = ({ target }) => {
        setNewPlayer(target.value);
    }
    const handleClick = () => {
        if (!newPlayer) return;
        props.addPlayer(newPlayer);
    }
    return <>
        <input type="text" value={newPlayer} onChange={handleChange} /><button onClick={handleClick}>+</button>
        <ul>
            {props.team && props.team.map(p => <Player
                updatePlayer={props.updatePlayer}
                deletePlayer={props.deletePlayer}
                key={p.name} player={p} />)}
        </ul></>
}

export default PlayerList;