import React, { useState, useEffect } from 'react';
import PlayerList from './PlayerList';
import dataService from '../Services/DataService';

function TeamPage(props) {
    const [team, setTeam] = useState();
    useEffect(() => {
        dataService.getTeam()
            .then(resp => setTeam(resp))
            .catch(err => console.log(err));
    }, []);
    const deletePlayer = (name) => {
        dataService.deletePlayer(name)
            .then(r => {
                dataService.getTeam()
                    .then(resp => setTeam(resp))
                    .catch(err => console.log(err));
            })
            .catch(err => console.log(err));
    }
    const updatePlayer = (oldname, newname) => {
        dataService.updatePlayer(oldname, newname)
            .then(r => {
                dataService.getTeam()
                    .then(resp => setTeam(resp))
                    .catch(err => console.log(err));
            })
            .catch(err => console.log(err));
    }
    const addPlayer = (name) => {
        dataService.addPlayer({ name })
            .then(r => {
                dataService.getTeam()
                    .then(resp => setTeam(resp))
                    .catch(err => console.log(err));
            })
            .catch(err => console.log(err));
    }
    return <div style={{
        display: 'flex',
        flexDirection: 'column',
        height: '100vh',
        width: '100vw',
        justifyContent: 'center',
        alignItems: 'center'
    }}>

        <PlayerList team={team} updatePlayer={updatePlayer} deletePlayer={deletePlayer} addPlayer={addPlayer} />
    </div>
}

export default TeamPage;