function getTeam() {
    return window.fetch('/api')
        .then(r => r.json());
}

function addPlayer(player) {
    return window.fetch('/api/addPlayer', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(player)
    })
        .then(r => r.json());
}

function updatePlayer(oldname, newname) {
    return window.fetch(`/api/updatePlayer/${oldname}/${newname}`, {
        method: 'PATCH'
    })
        .then(r => r.json());
}

function deletePlayer(name) {
    return window.fetch(`/api/deletePlayer/${name}`, {
        method: 'DELETE'
    })
        .then(r => r.json());
}

export default {
    getTeam,
    updatePlayer,
    addPlayer,
    deletePlayer
}